<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "dump".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Dump".
 *
 * Columns in table "dump" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $requested_by
 * @property string $type
 * @property integer $start_revision
 * @property integer $end_revision
 * @property string $start_time
 * @property string $end_time
 * @property integer $active
 *
 */
abstract class BaseDump extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'dump';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Dump|Dumps', $n);
    }

    public static function representingColumn()
    {
        return 'requested_by';
    }

    public function rules()
    {
        return array(
            array('requested_by, type, start_revision, start_time, active', 'required'),
            array('start_revision, end_revision, active', 'numerical', 'integerOnly' => true),
            array('requested_by', 'length', 'max' => 100),
            array('type', 'length', 'max' => 1),
            array('end_time', 'safe'),
            array('end_revision, end_time', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, requested_by, type, start_revision, end_revision, start_time, end_time, active', 'safe',
                'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'requested_by' => Yii::t('app', 'Requested By'),
            'type' => Yii::t('app', 'Type'),
            'start_revision' => Yii::t('app', 'Start Revision'),
            'end_revision' => Yii::t('app', 'End Revision'),
            'start_time' => Yii::t('app', 'Start Time'),
            'end_time' => Yii::t('app', 'End Time'),
            'active' => Yii::t('app', 'Active'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('requested_by', $this->requested_by, true);
        $criteria->compare('type', $this->type, true);
        $criteria->compare('start_revision', $this->start_revision);
        $criteria->compare('end_revision', $this->end_revision);
        $criteria->compare('start_time', $this->start_time, true);
        $criteria->compare('end_time', $this->end_time, true);
        $criteria->compare('active', $this->active);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
